Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Arthur Miller <[email-masked]>
Date: Tue, 24 Nov 2020 10:27:17 +0100

Jean Louis <[email-masked]> writes:

> * Arthur Miller <[email-masked]> [2020-11-24 11:15]:
>> > I am pulling Emacs from git and consider system upgraded that way.
>> same here
>> 
>> > For system packages, pacman says there is nothing to do most of time,
>> > unless there is new kernel or some security issue.
>> 
>> Aha, you are running LTS kernel?
>> 
>> Mine pacman brings in updates every day.
>
> Really?
Yepp; but I am not on lts-kernel, that is probably why.

> /boot:
>
> config-linux-libre-lts
> grub
> initramfs-linux-libre-lts-fallback.img
> initramfs-linux-libre-lts.img
> vmlinuz-linux-libre-lts
>
> So you have Hyperbola and you get updates every day? How comes?
No Hyperbola don't even know what distro it is; Just Arch Linux here.

I guess because I am not on lts-kernel and probably because I have lots
of stuff installed.

Harddrive is cheap nowdays. I have entire kde/gnome stack installed; and
lots more. When I need to compile a library or application I don't want
ot chase dependencies around. I just don't use them as desktops and
don't run apps.  For example yesterday I was just able to git clone
heaptrack and compile it, no headaches.